﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.Drawing;

namespace howto_interlocked_circles
{
    class Poi
    {
        public PointF Location;
        public Circle[] Circles = null;
        public Circle CircleOnTop = null;

        public Poi(PointF location, Circle circle1, Circle circle2)
        {
            Location = location;
            Circles = new Circle[] { circle1, circle2 };
        }

        public override string ToString()
        {
            return string.Format("({0}/{1}", Circles[0], Circles[1]);
        }

        // Return the other circle.
        public Circle OtherCircle(Circle this_circle)
        {
            if (Circles[0] != this_circle) return Circles[0];
            return Circles[1];
        }

        // Return the circle on the bottom, if the top circle is assigned.
        public Circle CircleOnBottom()
        {
            if (CircleOnTop == null) return null;
            return OtherCircle(CircleOnTop);
        }
    }
}
